## python-midiutil 1.1.3

=== documentation/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MIDIUtil.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MIDIUtil.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/MIDIUtil"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MIDIUtil"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## python-midiutil 0.87

=== debian/changelog ===
python-midiutil (0.87-3) unstable; urgency=low

  * Update Vcs fields in control file.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 26 Mar 2012 09:01:52 -0400

python-midiutil (0.87-2) unstable; urgency=low

  * Add --with python2 to dh sequencer. Thanks to Luca Falavigna.
  * Fix typo in package description. Thanks to Jonas Smedegaard.
    (Closes: #663676)
  * Switching to Debian Multimedia Maintainers :)
  * Adding debian/watch file.
  * Using the DEP-3 format for remove_sample_from_bin patch.
  * Adding myself in Uploaders field.
  * Updating Policy version.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sun, 25 Mar 2012 22:47:04 -0400

python-midiutil (0.87-1) unstable; urgency=low

  * Initial release. (Closes: #663583)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 12 Mar 2012 09:50:46 -0400

=== debian/control ===
Source: python-midiutil
Section: python
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>=7.0.50~), python | python-all | python-all-dev (>= 2.6.6-3~)
Standards-Version: 3.9.3
XS-Python-Version: >= 2.5
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/python-midiutil.git
Vcs-Git: git://git.debian.org/git/pkg-multimedia/python-midiutil.git
Homepage: http://code.google.com/p/midiutil/

Package: python-midiutil
Architecture: all
Depends: python (>= 2.5), ${misc:Depends}, ${python:Depends}
Description: Python library to write multi-track MIDI files
 MIDIUtil is a pure Python library that allows one to write multi-track Musical
 Instrument Digital Interface (MIDI) files from within Python programs. It is
 object-oriented and allows one to create and write these files with a minimum
 of fuss.

=== debian/rules ===
#!/usr/bin/make -f

export PYTHONWARNINGS=d

%:
	dh $@ --with python2

=== debian/watch ===
version=3
http://midiutil.googlecode.com/files/MIDIUtil-(.*)\.tar\.gz

## python-midiutil 0.89

=== debian/changelog ===
python-midiutil (0.89-1) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Imported Upstream version 0.89

  * Additionally provide python3 package
    * Removed incompatible MidiFile.py from python3 package

  * Updated homepage: googlecode archive
    * Added lintian-override for obsolete googlecode
  * Updated Vcs-* stanzas: https:// everywhere
  * Removed obsolete "DM-Upload-Allowed" stanza
  * Added myself to uploaders/copyright holders
  * Removed XS-Python-Version stanza
  * Bumped compat to 9
  * Bumped standards version to 3.9.7

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 31 Mar 2016 16:13:23 +0200

=== debian/control ===
Source: python-midiutil
Section: python
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Tiago Bortoletto Vaz <tiago@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-buildinfo,
 dh-python,
 python,
 python3,
 devscripts,
 python-setuptools,
 python3-setuptools
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/python-midiutil.git
Vcs-Git: https://anonscm.debian.org/cgit/pkg-multimedia/python-midiutil.git
Homepage: https://code.google.com/archive/p/midiutil/downloads

Package: python-midiutil
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python 2 library to write multi-track MIDI files
 MIDIUtil is a pure Python library that allows one to write multi-track Musical
 Instrument Digital Interface (MIDI) files from within Python programs. It is
 object-oriented and allows one to create and write these files with a minimum
 of fuss.
 .
 This package provides the Python 2.x module.

Package: python3-midiutil
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Python 3 library to write multi-track MIDI files
 MIDIUtil is a pure Python library that allows one to write multi-track Musical
 Instrument Digital Interface (MIDI) files from within Python programs. It is
 object-oriented and allows one to create and write these files with a minimum
 of fuss.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYTHONWARNINGS=d
export PYBUILD_NAME=midiutil


%:
	dh $@ --buildsystem=pybuild --with python2,python3

override_dh_auto_install:
	dh_auto_install
	## MidiFile.py is python2 only
	find debian/python3-midiutil -name MidiFile.py -delete

## python-midiutil 1.1.3

=== debian/changelog ===
python-midiutil (1.1.3-1) unstable; urgency=medium

  * New upstream version 1.1.3

  * Updated d/watch to monitor github
  * Dropped patches that are no longer useful
  * Factored out python-midiutil-doc package
    * Built using sphinx
  * Switched upstream homepage to github
  * Use local MatchJAX
  * Fixed permission of example .py file
  * Updated copyright
  * Dropped unused lintian-override
  * Bumped standards version to 4.0.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 21 Jun 2017 19:57:31 +0200

=== debian/control ===
Source: python-midiutil
Section: python
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Tiago Bortoletto Vaz <tiago@debian.org>,
Build-Depends:
 debhelper (>= 9~),
 dh-buildinfo,
 dh-python,
 python,
 python3,
 devscripts,
 python-setuptools,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/python-midiutil.git
Vcs-Git: https://anonscm.debian.org/cgit/pkg-multimedia/python-midiutil.git
Homepage: https://github.com/MarkCWirt/MIDIUtil

Package: python-midiutil
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends}
Suggests: python-midiutil-doc
Description: Python 2 library to write multi-track MIDI files
 MIDIUtil is a pure Python library that allows one to write multi-track Musical
 Instrument Digital Interface (MIDI) files from within Python programs. It is
 object-oriented and allows one to create and write these files with a minimum
 of fuss.
 .
 This package provides the Python 2.x module.

Package: python3-midiutil
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests: python-midiutil-doc
Description: Python 3 library to write multi-track MIDI files
 MIDIUtil is a pure Python library that allows one to write multi-track Musical
 Instrument Digital Interface (MIDI) files from within Python programs. It is
 object-oriented and allows one to create and write these files with a minimum
 of fuss.
 .
 This package provides the Python 3.x module.

Package: python-midiutil-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
 libjs-mathjax,
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Python library to write multi-track MIDI files - documentation
 MIDIUtil is a pure Python library that allows one to write multi-track Musical
 Instrument Digital Interface (MIDI) files from within Python programs. It is
 object-oriented and allows one to create and write these files with a minimum
 of fuss.
 .
 This package provides the HTML documentation of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYTHONWARNINGS=d
export PYBUILD_NAME=midiutil


%:
	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	make -C documentation html

override_dh_auto_install:
	dh_auto_install
	## MidiFile.py is python2 only
	find debian/python3-midiutil -name MidiFile.py -delete

override_dh_installdocs-indep:
	dh_installdocs -i
	dh_link -ppython-midiutil-doc /usr/share/javascript/mathjax/MathJax.js /usr/share/doc/python-midiutil-doc/html/_static/MathJax.js
	dh_sphinxdoc -i
override_dh_installexamples-indep:
	dh_installexamples -i
	## drop executable bit from py-files
	find debian/python-midiutil -type f -name "*.py" -exec chmod a-x {} +


override_dh_clean:
	dh_clean
	rm -rf documentation/_build
	rm -rf src/*.egg-info/

## python-midiutil 1.2.1

=== debian/changelog ===
python-midiutil (1.2.1-7) unstable; urgency=medium

  * Team upload.
  * Eemove obsolete build-dep dh-buildinfo
  * Apply Multi-Arch: hint
  * Drop "Rules-Requires-Root: no": it is now the default

 -- Alexandre Detiste <tchet@debian.org>  Sat, 18 Oct 2025 18:56:36 +0200

python-midiutil (1.2.1-6) unstable; urgency=medium

  * Team upload.

  [ Tiago Bortoletto Vaz ]
  * Adding basic salsa pipeline.

  [ Alexandre Detiste ]
  * apply Multi-Arch: hint
  * bump Standards-Version to 4.7.2
  * use dh-sequence-python3, trim d/rules
  * remove dependency on devscripts
  * bump d/watch to v4

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 17:45:30 +0200

python-midiutil (1.2.1-5) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Boyuan Yang ]
  * Rebuild to drop ancient sphinx in Built-Using field.
  * debian/control: Bump debhelper compat to v13.
  * debian/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jun 2022 20:53:43 -0400

python-midiutil (1.2.1-4) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add real autopkgtests
  * Install more examples
    * Use python3 as interpreter in documentation and examples
  * Declare building this package does not require "root" powers

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Jan 2020 14:42:43 +0100

python-midiutil (1.2.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig ]
  * Drop "python-midiutil" as part of the Python2 removal in bullseye
  * Bump dh-compat to 12
  * Bump standards version to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 05 Sep 2019 16:53:19 +0200

python-midiutil (1.2.1-2) unstable; urgency=medium

  * Fixed missing files for Py3 support
  * Enabled generic python-tests for DebCI
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 18 Apr 2018 16:09:20 +0200

python-midiutil (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1

  * Added 'licensecheck' target
  * Generated d/copyright_hints
  * Updated d/copyright

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Mar 2018 22:23:34 +0100

python-midiutil (1.1.3-2) unstable; urgency=medium

  * Updated maintainer email
  * Updated Vcs-* stanzas to salsa.d.o
  * Switched URIs to https://
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 06 Mar 2018 21:23:57 +0100

=== debian/control ===
Source: python-midiutil
Section: python
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Tiago Bortoletto Vaz <tiago@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/python-midiutil
Vcs-Git: https://salsa.debian.org/multimedia-team/python-midiutil.git
Homepage: https://github.com/MarkCWirt/MIDIUtil

Package: python3-midiutil
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests: python-midiutil-doc
Description: Python 3 library to write multi-track MIDI files
 MIDIUtil is a pure Python library that allows one to write multi-track Musical
 Instrument Digital Interface (MIDI) files from within Python programs. It is
 object-oriented and allows one to create and write these files with a minimum
 of fuss.
 .
 This package provides the Python 3.x module.

Package: python-midiutil-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
 libjs-mathjax,
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Python library to write multi-track MIDI files - documentation
 MIDIUtil is a pure Python library that allows one to write multi-track Musical
 Instrument Digital Interface (MIDI) files from within Python programs. It is
 object-oriented and allows one to create and write these files with a minimum
 of fuss.
 .
 This package provides the HTML documentation of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYTHONWARNINGS=d
export PYBUILD_NAME=midiutil

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

execute_after_dh_auto_build:
	make -C documentation html

override_dh_installdocs-indep:
	dh_installdocs -i
	dh_link -ppython-midiutil-doc /usr/share/javascript/mathjax/MathJax.js /usr/share/doc/python-midiutil-doc/html/_static/MathJax.js
	dh_sphinxdoc -i

override_dh_installexamples-indep:
	dh_installexamples -i
	## drop executable bit from py-files
	find debian/python3-midiutil -type f -name "*.py" -exec chmod a-x {} +

execute_after_dh_clean:
	rm -rf documentation/_build
	rm -rf src/*.egg-info/

licensecheck:
	licensecheck --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/tests/control ===
# generate some example midifiles, parse them and compare them with a reference
Test-Command: debian/tests/abcmidi.sh
Depends: @, abcmidi

=== debian/watch ===
# process this file with uscan(1)
version=4
opts=dversionmangle=s/~dfsg(\.[0-9]*)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/MIDIUtil-$1\.tar\.gz/ \
  https://github.com/MarkCWirt/MIDIUtil/tags .*/v?(\d\S*)\.tar\.gz
